<template>
    <el-dialog
    :visible.sync="storeHouseVisible"
    append-to-body
    :title="title"
    :close-on-click-modal="false"
    width="600px"
    >
        <el-form ref="dataForm" :rules="dataFormRules" :model="dataForm" label-position="right" label-width="140px"  width="600px">
            <el-form-item label="栋号:" prop="bulidingnumber" >
                <el-input v-model="dataForm.bulidingnumber" width="150px"/>
            </el-form-item>
            <el-form-item label="危险等级:" prop="dangerlevel">
                <el-input v-model="dataForm.dangerlevel"/>
            </el-form-item>
            <el-form-item label="面积(㎡):" prop="area">
                <el-input
                    type="number"
                    step="0.01"
                    min="0"
                    onkeyup="this.value= this.value.match(/\d+(\.\d{0,2})?/) ? this.value.match(/\d+(\.\d{0,2})?/)[0] : ''"
                    v-model="dataForm.area"/>
            </el-form-item>
            <el-form-item label="限制作业人数:" prop="limits">
                <el-input
                    onkeyup="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                    onafterpaste="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                    v-model="dataForm.limits"/>
            </el-form-item>
            <el-form-item label="限药量:" prop="limits">
                <el-input
                    onkeyup="this.value= this.value.match(/\d+(\.\d{0,2})?/) ? this.value.match(/\d+(\.\d{0,2})?/)[0] : ''"
                    v-model="dataForm.medicinelimits"/>
            </el-form-item>
            <el-form-item label="安全责任人:" prop="safetyperson">
                <el-input v-model="dataForm.safetyperson"/>
            </el-form-item>
            <el-form-item label="安全责任人联系电话:" prop="safetypersonphone">
                <el-input v-model="dataForm.safetypersonphone"/>
            </el-form-item>
            <el-form-item label="库存可容纳量(箱):" prop="holdinventory">
                <el-input onkeyup="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                          onafterpaste="if(this.value.length==1){this.value=this.value.replace(/[^1-9]/g,'')}else{this.value=this.value.replace(/\D/g,'')}"
                          v-model="dataForm.holdinventory"/>
            </el-form-item>
            <el-form-item label="证件照片:" prop="upload">
                <input id="upload" ref="upload"  type="file" accept="image/*" multiple/>
            </el-form-item>
        </el-form>
        <div  align="right">
            <el-button @click="storeHouseVisible = false">取消</el-button>
            <el-button type="primary" @click="submitStore()">确认</el-button>
        </div>
<!--        <div class="safety_body">-->
<!--            <div class="safety_footer">-->
<!--                <el-row>-->
<!--                    <el-col :span="5" class="safety_left_left">-->
<!--                        有效期：-->
<!--                    </el-col>-->
<!--                    <el-col :span="19" class="safety_left_right">-->
<!--                        <el-upload-->
<!--                            class="upload-demo"-->
<!--                            multiple-->
<!--                            ref="upload"-->
<!--                            :action="uploadUrl()"-->
<!--                            :headers="header"-->
<!--                            :before-upload="beforeUpload"-->
<!--                            :before-remove="beforeRemove"-->
<!--                            :on-remove="onRemove"-->
<!--                            :on-preview="onPreview"-->
<!--                            :data="uploadData"-->
<!--                            :on-success="onSuccess"-->
<!--                            :auto-upload="false"-->
<!--                            list-type="picture-card"-->
<!--                            :file-list="fileList">-->
<!--                            <i class="el-icon-plus"></i>-->
<!--                        </el-upload>-->
<!--                        <el-dialog :visible.sync="dialogVisible">-->
<!--                            <img width="100%" :src="dialogImageUrl" alt="">-->
<!--                        </el-dialog>-->
<!--                    </el-col>-->
<!--                </el-row>-->
<!--            </div>-->
<!--        </div>-->
    </el-dialog>

</template>

<script>
import { getToken } from '@/utils/auth'
import {uploadUrl} from '@/assets/upload/url'
import {parseError} from "../../../../utils/messageDialog";
import {addEnterpriseWarehouse, updateEnterpriseWarehouse} from "../../../../api/store";

export default {
    name: "lookStoreHouse",
    data(){
        return{
            title:'',
            storeHouseVisible:false,
            uploadUrl,
            header:{
                'Authorization': getToken()
            },
            dataForm:{
                file: [
                ],
                id: 0,
                imgids: [
                ],
                bulidingnumber: "",
                dangerlevel: "",
                area: "",
                limits: "",
                safetyperson: "",
                holdinventory:'',
                safetypersonphone:'',
                medicinelimits:''
            },
            dataFormRules:{

            },
            pageSize: 10,
            recordTotal: 0,
            currentPage: 1,
            pageTotal: 0,
            dialogImageUrl: '',
            dialogVisible: false,
            disabled: false,
            fileList:[],
            uploadData:{
                enterprise:1
            },
        }
    },
    methods:{
        openStoreHouse(title,value,enterpriseId){
            this.enterpriseId = enterpriseId
            this.storeHouseVisible = true
            this.title = title
            if(this.title === '新增'){
                this.dataForm = {
                    file: [
                    ],
                    id: 0,
                    imgids: [
                    ],
                    bulidingnumber: "",
                    dangerlevel: "",
                    area: "",
                    limits: "",
                    safetyperson: "",
                    holdinventory:'',
                    safetypersonphone:'',
                    medicinelimits:''
                }
            }else{
                this.dataForm.bulidingnumber = value.bulidingnumber
                this.dataForm.dangerlevel = value.dangerlevel
                this.dataForm.area = value.area
                this.dataForm.limits = value.limits
                this.dataForm.id = value.id
                this.dataForm.safetyperson = value.safetyperson
                this.dataForm.holdinventory = value.holdinventory
                this.dataForm.medicinelimits = value.medicinelimits
                this.dataForm.safetypersonphone = value.safetypersonphone

                for(let i = 0;i<value.enterpriseResources.length;i++){
                    this.dataForm.imgids.push(value.enterpriseResources[i].id)
                }
            }
        },
        async submitStore(){
            const formData = new FormData();
            if(this.$refs["upload"].files.length === 0){
                this.dataForm.imgids = []
            }
            for (const i in this.dataForm) {
                if (
                    this.dataForm[i] != undefined &&
                    this.dataForm[i].toString() != ""
                ) {
                    formData.append(i, this.dataForm[i]);
                }
            }
            formData.append("enterpriseid",this.enterpriseId)

            const files1 = this.$refs["upload"].files;
            if (files1 && files1.length > 0) {
                for (let i = 0; i < files1.length; i++)
                    formData.append("file", files1[i]);
            }

            // formData.append("file", this.$refs["upload"].files);
            if(this.title === '新增'){
                let res = await addEnterpriseWarehouse(formData)
                if(res.data.code === "200"){
                    this.$refs["upload"].value = ''
                    this.$emit('getinfo')
                    this.storeHouseVisible = false
                    this.$notify({
                        type:'success',
                        duration:2000,
                        message:'成功',
                        title:'成功',
                    })
                }else {
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }else{
                let res = await updateEnterpriseWarehouse(formData)
                if(res.data.code === "200") {
                    this.$refs["upload"].value = ''
                    this.$emit('getinfo')
                    this.storeHouseVisible = false
                    this.$notify({
                        type: 'success',
                        duration: 2000,
                        message: '成功',
                        title: '成功',
                    })
                }else{
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }
        },
    }
}
</script>

<style scoped>
/deep/ .el-input__inner{
    width:300px;
}
/*.safety_title{*/
/*    font-family: 'Microsoft YaHei',Verdana, Arial, "宋体";*/
/*    border: 1px solid #d4d4d4;*/
/*    background: #d4d4d4;*/
/*    border-top: none;*/
/*    line-height: 32px;*/
/*    padding-left: 5px;*/
/*    text-align: center;*/
/*}*/
/*.safety_left{*/
/*    clear:both;*/
/*    font-family: 'Microsoft YaHei',Verdana, Arial, "宋体";*/
/*    border: 1px solid #d4d4d4;*/
/*    border-top: none;*/
/*    line-height: 32px;*/
/*}*/
/*.safety_left_left{*/
/*    border-right: 1px solid #d4d4d4;*/
/*    text-align: right;*/
/*    float:left;*/
/*    background: #F5F7F7;*/
/*}*/
/*.safety_left_right{*/
/*    padding-left:5px ;*/
/*}*/
/*.safety_footer{*/
/*    clear:both;*/
/*    font-family: 'Microsoft YaHei',Verdana, Arial, "宋体";*/
/*    border: 1px solid #d4d4d4;*/
/*    border-top: none;*/
/*    line-height: 250px;*/
/*}*/
/*/deep/ .el-upload {*/
/*    display: inline-block;*/
/*    text-align: center;*/
/*    cursor: pointer;*/
/*    outline: 0;*/
/*    margin-top: 30px;*/
/*}*/
/*/deep/.el-upload-list--picture-card .el-upload-list__item {*/
/*    overflow: hidden;*/
/*    background-color: #fff;*/
/*    border: 1px solid #c0ccda;*/
/*    border-radius: 6px;*/
/*    -webkit-box-sizing: border-box;*/
/*    box-sizing: border-box;*/
/*    width: 148px;*/
/*    height: 148px;*/
/*    margin: 30px 8px 8px 0;*/
/*    display: inline-block;*/
/*}*/
/*/deep/ .upload-demo{*/
/*    line-height:120px;*/
/*}*/
</style>
